"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonSchema = void 0;
const lang_json_1 = require("@codemirror/lang-json");
const view_1 = require("@codemirror/view");
const json_completion_js_1 = require("./json-completion.js");
const json_validation_js_1 = require("./json-validation.js");
const json_hover_js_1 = require("./json-hover.js");
const state_js_1 = require("./state.js");
const lint_1 = require("@codemirror/lint");
/**
 * Full featured cm6 extension for json, including `@codemirror/lang-json`
 * @group Bundled Codemirror Extensions
 */
function jsonSchema(schema) {
    return [
        (0, lang_json_1.json)(),
        (0, lint_1.linter)((0, lang_json_1.jsonParseLinter)()),
        (0, lint_1.linter)((0, json_validation_js_1.jsonSchemaLinter)(), {
            needsRefresh: json_validation_js_1.handleRefresh,
        }),
        lang_json_1.jsonLanguage.data.of({
            autocomplete: (0, json_completion_js_1.jsonCompletion)(),
        }),
        (0, view_1.hoverTooltip)((0, json_hover_js_1.jsonSchemaHover)()),
        (0, state_js_1.stateExtensions)(schema),
    ];
}
exports.jsonSchema = jsonSchema;
