"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.json5Schema = void 0;
const codemirror_json5_1 = require("codemirror-json5");
const view_1 = require("@codemirror/view");
const json_completion_js_1 = require("./json-completion.js");
const json5_validation_js_1 = require("./json5-validation.js");
const json5_hover_js_1 = require("./json5-hover.js");
const lint_1 = require("@codemirror/lint");
const state_js_1 = require("./state.js");
const json_validation_js_1 = require("./json-validation.js");
/**
 * Full featured cm6 extension for json5, including `codemirror-json5`
 * @group Bundled Codemirror Extensions
 */
function json5Schema(schema) {
    return [
        (0, codemirror_json5_1.json5)(),
        (0, lint_1.linter)((0, codemirror_json5_1.json5ParseLinter)()),
        (0, lint_1.linter)((0, json5_validation_js_1.json5SchemaLinter)(), {
            needsRefresh: json_validation_js_1.handleRefresh,
        }),
        codemirror_json5_1.json5Language.data.of({
            autocomplete: (0, json_completion_js_1.json5Completion)(),
        }),
        (0, view_1.hoverTooltip)((0, json5_hover_js_1.json5SchemaHover)()),
        (0, state_js_1.stateExtensions)(schema),
    ];
}
exports.json5Schema = json5Schema;
